import { RequestCondition } from '@http-ext/core';
import { HandlerOptions, RetryHandler } from './retry-handler';
export interface RetryPluginOptions extends HandlerOptions {
    shouldHandleRequest: RequestCondition;
}
/**
 * @param shouldHandleRequest
 * @param initialInterval defaults to 300ms
 * @param maxInterval defaults to 10s
 * @param maxRetries defaults to 3
 * @param shouldRetry defaults to server error: 5xx
 */
export declare function createRetryPlugin({ shouldHandleRequest, initialInterval, maxInterval, maxRetries, shouldRetry }?: Partial<RetryPluginOptions>): {
    shouldHandleRequest: RequestCondition;
    handler: RetryHandler;
};
